iteratee-0.8.9.5: Iteratee-based I/O

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Nullable

Contents

- Classes

Description

Nullable: test if a type (container) is null.

Synopsis

- class NullPoint c => Nullable c where
  - nullC :: c -> Bool

# Classes

class NullPoint c => Nullable c where

Nullable container class

Methods

nullC :: c -> Bool

Instances

Nullable ByteString |
Nullable ByteString |
Nullable [a] |